Index: /palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/calc_spectra.f90	(revision 1319)
+++ /palm/trunk/SOURCE/calc_spectra.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -41,29 +46,4 @@
 ! 1003 2012-09-14 14:35:53Z raasch
 ! adjustment of array tend for cases with unequal subdomain sizes removed
-!
-! 707 2011-03-29 11:39:40Z raasch
-! bc_lr/ns replaced by bc_lr/ns_cyc
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng for allocation
-! of tend
-!
-! 274 2009-03-26 15:11:21Z heinze
-! Output of messages replaced by message handling routine
-!
-! 225 2009-01-26 14:44:20Z raasch
-! Bugfix: array d is reallocated in case that multigrid is used
-!
-! 192 2008-08-27 16:51:49Z letzel
-! bugfix in calc_spectra_x: exponent = 1.0 / ( ny + 1.0 )
-! allow 100 spectra levels instead of 10 for consistency with
-! define_netcdf_header
-! user-defined spectra, arguments removed from transpose routines
-!
-! February 2007
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.9  2006/04/11 14:56:00  raasch
-! pl_spectra renamed data_output_sp
 !
 ! Revision 1.1  2001/01/05 15:08:07  raasch
@@ -81,15 +61,31 @@
 
 #if defined( __spectra )
-    USE arrays_3d
-    USE control_parameters
-    USE cpulog
-    USE fft_xy
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  d, tend
+
+    USE control_parameters,                                                    &
+        ONLY:  average_count_sp, bc_lr_cyc, bc_ns_cyc, message_string, psolver
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+
+    USE fft_xy,                                                                &
+        ONLY:  fft_init
+
+    USE indices,                                                               &
+        ONLY:  nxl, nxr, nyn, nys, nzb, nzt, nzt_x, nzt_yd
+
+    USE kinds
+
     USE pegrid
-    USE spectrum
+
+    USE spectrum,                                                              &
+        ONLY:  data_output_sp, spectra_direction
+
 
     IMPLICIT NONE
 
-    INTEGER ::  m, pr
+    INTEGER(iwp) ::  m  !:
+    INTEGER(iwp) ::  pr !:
 
 
@@ -163,5 +159,5 @@
           CALL calc_spectra_y( d, pr, m )
 #else
-          message_string = 'sorry, calculation of spectra in non parallel' // &
+          message_string = 'sorry, calculation of spectra in non parallel' //  &
                            'mode& is still not realized'
           CALL message( 'calc_spectra', 'PA0161', 1, 2, 0, 6, 0 )
@@ -189,13 +185,28 @@
  SUBROUTINE preprocess_spectra( m, pr )
 
-    USE arrays_3d
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  d, pt, q, u, v, w
+
+    USE indices,                                                               &
+        ONLY:  nxl, nxr, nyn, nys, nzb, nzt
+
+    USE kinds
+
     USE pegrid
-    USE spectrum
-    USE statistics
+
+    USE spectrum,                                                              &
+        ONLY:  data_output_sp
+
+    USE statistics,                                                            &
+        ONLY:  sums
+
 
     IMPLICIT NONE
 
-    INTEGER :: i, j, k, m, pr
+    INTEGER(iwp) :: i  !:
+    INTEGER(iwp) :: j  !:
+    INTEGER(iwp) :: k  !:
+    INTEGER(iwp) :: m  !:
+    INTEGER(iwp) :: pr !:
 
     SELECT CASE ( TRIM( data_output_sp(m) ) )
@@ -247,25 +258,52 @@
  SUBROUTINE calc_spectra_x( ddd, pr, m )
 
-    USE arrays_3d
-    USE constants
-    USE control_parameters
-    USE fft_xy
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  
+
+    USE control_parameters,                                                    &
+        ONLY:  fft_method
+
+    USE fft_xy,                                                                &
+        ONLY:  fft_x_1d
+
+    USE grid_variables,                                                        &
+        ONLY:  dx
+
+    USE indices,                                                               &
+        ONLY:  nx, ny, nyn_x, nys_x, nzb_x, nzt_x
+
+    USE kinds
+
     USE pegrid
-    USE spectrum
-    USE statistics
+
+    USE spectrum,                                                              &
+        ONLY:  comp_spectra_level, n_sp_x
+
+    USE statistics,                                                            &
+        ONLY:  spectrum_x
+
     USE transpose_indices
 
+
     IMPLICIT NONE
 
-    INTEGER                    ::  i, ishape(1), j, k, m, n, pr
-
-    REAL                       ::  fac, exponent
-    REAL, DIMENSION(0:nx)      ::  work
-    REAL, DIMENSION(0:nx/2)    ::  sums_spectra_l
-    REAL, DIMENSION(0:nx/2,100)::  sums_spectra
-
-    REAL, DIMENSION(0:nx,nys_x:nyn_x,nzb_x:nzt_x) ::  ddd
+    INTEGER(iwp) ::  i         !:
+    INTEGER(iwp) ::  ishape(1) !:
+    INTEGER(iwp) ::  j         !:
+    INTEGER(iwp) ::  k         !:
+    INTEGER(iwp) ::  m         !:
+    INTEGER(iwp) ::  n         !:
+    INTEGER(iwp) ::  pr        !:
+
+    REAL(wp) ::  fac      !:
+    REAL(wp) ::  exponent !:
+    
+    REAL(wp), DIMENSION(0:nx) ::  work !:
+    
+    REAL(wp), DIMENSION(0:nx/2) ::  sums_spectra_l !:
+    
+    REAL(wp), DIMENSION(0:nx/2,100) ::  sums_spectra !:
+    
+    REAL(wp), DIMENSION(0:nx,nys_x:nyn_x,nzb_x:nzt_x) ::  ddd !:
 
 !
@@ -320,5 +358,5 @@
 #if defined( __parallel )   
        CALL MPI_BARRIER( comm2d, ierr )  ! Necessary?
-       CALL MPI_REDUCE( sums_spectra_l(0), sums_spectra(0,n), nx/2+1, &
+       CALL MPI_REDUCE( sums_spectra_l(0), sums_spectra(0,n), nx/2+1,          &
                         MPI_REAL, MPI_PROD, 0, comm2d, ierr )
 #else
@@ -357,25 +395,52 @@
  SUBROUTINE calc_spectra_y( ddd, pr, m )
 
-    USE arrays_3d
-    USE constants
-    USE control_parameters
-    USE fft_xy
-    USE grid_variables
-    USE indices
+    USE arrays_3d,                                                             &
+        ONLY:  
+
+    USE control_parameters,                                                    &
+        ONLY:  fft_method
+
+    USE fft_xy,                                                                &
+        ONLY:  fft_y_1d
+
+    USE grid_variables,                                                        &
+        ONLY:  dy
+
+    USE indices,                                                               &
+        ONLY:  nx, ny, nxl_yd, nxr_yd, nzb_yd, nzt_yd
+
+    USE kinds
+
     USE pegrid
-    USE spectrum
-    USE statistics
+
+    USE spectrum,                                                              &
+        ONLY:  comp_spectra_level, n_sp_y
+
+    USE statistics,                                                            &
+        ONLY:  spectrum_y
+
     USE transpose_indices
 
+
     IMPLICIT NONE
 
-    INTEGER :: i, j, jshape(1), k, m, n, pr
-
-    REAL                       ::  fac, exponent
-    REAL, DIMENSION(0:ny)      ::  work
-    REAL, DIMENSION(0:ny/2)    ::  sums_spectra_l
-    REAL, DIMENSION(0:ny/2,100)::  sums_spectra
-
-    REAL, DIMENSION(0:ny,nxl_yd:nxr_yd,nzb_yd:nzt_yd) :: ddd
+    INTEGER(iwp) ::  i         !:
+    INTEGER(iwp) ::  j         !:
+    INTEGER(iwp) ::  jshape(1) !:
+    INTEGER(iwp) ::  k         !:
+    INTEGER(iwp) ::  m         !:
+    INTEGER(iwp) ::  n         !:
+    INTEGER(iwp) ::  pr        !:
+
+    REAL(wp) ::  fac      !:
+    REAL(wp) ::  exponent !:
+    
+    REAL(wp), DIMENSION(0:ny) ::  work !:
+    
+    REAL(wp), DIMENSION(0:ny/2) ::  sums_spectra_l !:
+    
+    REAL(wp), DIMENSION(0:ny/2,100) ::  sums_spectra !:
+    
+    REAL(wp), DIMENSION(0:ny,nxl_yd:nxr_yd,nzb_yd:nzt_yd) :: ddd !:
 
 
@@ -431,5 +496,5 @@
 #if defined( __parallel )   
        CALL MPI_BARRIER( comm2d, ierr )  ! Necessary?
-       CALL MPI_REDUCE( sums_spectra_l(0), sums_spectra(0,n), ny/2+1, &
+       CALL MPI_REDUCE( sums_spectra_l(0), sums_spectra(0,n), ny/2+1,          &
                         MPI_REAL, MPI_PROD, 0, comm2d, ierr )
 #else
Index: /palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- /palm/trunk/SOURCE/check_for_restart.f90	(revision 1319)
+++ /palm/trunk/SOURCE/check_for_restart.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -32,26 +37,4 @@
 ! minor reformatting
 !
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Exchange of terminate_coupled between ocean and atmosphere by PE0
-!
-! 622 2010-12-10 08:08:13Z raasch
-! optional barriers included in order to speed up collective operations
-!
-! 291 2009-04-16 12:07:26Z raasch
-! Coupling with independent precursor runs.
-! Output of messages replaced by message handling routine
-!
-! 222 2009-01-12 16:04:16Z letzel
-! Implementation of an MPI-1 coupling: replaced myid with target_id
-! Bugfix for nonparallel execution
-!
-! 108 2007-08-24 15:10:38Z letzel
-! modifications to terminate coupled runs
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.11  2007/02/11 12:55:13  raasch
-! Informative output to the job protocol
-!
 ! Revision 1.1  1998/03/18 20:06:51  raasch
 ! Initial revision
@@ -64,12 +47,19 @@
 !------------------------------------------------------------------------------!
 
+    USE control_parameters,                                                    &
+        ONLY:  coupling_mode, dt_restart, end_time, message_string,            &
+               run_description_header, simulated_time, terminate_coupled,      &
+               terminate_coupled_remote, terminate_run,                        &
+               termination_time_needed, time_restart,                          &
+               time_since_reference_point, write_binary
+    USE kinds
     USE pegrid
-    USE control_parameters
 
     IMPLICIT NONE
 
 
-    LOGICAL :: terminate_run_l
-    REAL ::  remaining_time
+    LOGICAL :: terminate_run_l  !:
+
+    REAL(wp) ::  remaining_time !:
 
 
@@ -81,5 +71,5 @@
 !-- If necessary set a flag to stop the model run
     terminate_run_l = .FALSE.
-    IF ( remaining_time <= termination_time_needed  .AND. &
+    IF ( remaining_time <= termination_time_needed  .AND.                      &
          write_binary(1:4) == 'true' )  THEN
 
@@ -92,5 +82,5 @@
 !-- one processor has reached the time limit.
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( terminate_run_l, terminate_run, 1, MPI_LOGICAL, &
+    CALL MPI_ALLREDUCE( terminate_run_l, terminate_run, 1, MPI_LOGICAL,        &
                         MPI_LOR, comm2d, ierr )
 #else
@@ -101,7 +91,7 @@
 !-- Output that job will be terminated
     IF ( terminate_run  .AND.  myid == 0 )  THEN
-       WRITE( message_string, * ) 'run will be terminated because it is ', &
-                       'running out of job cpu limit & ',                  &
-                       'remaining time:         ', remaining_time, ' s',   &
+       WRITE( message_string, * ) 'run will be terminated because it is ',     &
+                       'running out of job cpu limit & ',                      &
+                       'remaining time:         ', remaining_time, ' s',       &
                        'termination time needed:', termination_time_needed, ' s'
        CALL message( 'check_for_restart', 'PA0163', 0, 1, 0, 6, 0 )
@@ -113,5 +103,5 @@
 !-- informed of another termination reason (terminate_coupled > 0) before, 
 !-- or vice versa (terminate_coupled_remote > 0).
-    IF ( terminate_run .AND. TRIM( coupling_mode ) /= 'uncoupled'  .AND. &
+    IF ( terminate_run .AND. TRIM( coupling_mode ) /= 'uncoupled'  .AND.       &
          terminate_coupled == 0  .AND.  terminate_coupled_remote == 0 )  THEN
 
@@ -125,5 +115,5 @@
                              comm_inter, status, ierr )
        ENDIF
-       CALL MPI_BCAST( terminate_coupled_remote, 1, MPI_INTEGER, 0, comm2d,  &
+       CALL MPI_BCAST( terminate_coupled_remote, 1, MPI_INTEGER, 0, comm2d,    &
                        ierr )
 #endif
@@ -132,5 +122,5 @@
 !
 !-- Set the stop flag also, if restart is forced by user
-    IF ( time_restart /= 9999999.9  .AND.  &
+    IF ( time_restart /= 9999999.9  .AND.                                      &
          time_restart < time_since_reference_point )  THEN
 
@@ -149,7 +139,7 @@
           ENDIF
 
-          WRITE( message_string, * ) 'run will be terminated due to user ', &
-                                  'settings of',                            &
-                                  '&restart_time / dt_restart',             &
+          WRITE( message_string, * ) 'run will be terminated due to user ',    &
+                                  'settings of',                               &
+                                  '&restart_time / dt_restart',                &
                                   '&new restart time is: ', time_restart, ' s' 
           CALL message( 'check_for_restart', 'PA0164', 0, 0, 0, 6, 0 )
@@ -160,5 +150,5 @@
 !--       informed of another termination reason (terminate_coupled > 0) before,
 !--       or vice versa (terminate_coupled_remote > 0).
-          IF ( coupling_mode /= 'uncoupled' .AND. terminate_coupled == 0  &
+          IF ( coupling_mode /= 'uncoupled' .AND. terminate_coupled == 0       &
                .AND.  terminate_coupled_remote == 0 )  THEN
 
@@ -176,5 +166,5 @@
                                    comm_inter, status, ierr )   
              ENDIF
-             CALL MPI_BCAST( terminate_coupled_remote, 1, MPI_INTEGER, 0,  &
+             CALL MPI_BCAST( terminate_coupled_remote, 1, MPI_INTEGER, 0,      &
                              comm2d, ierr )  
 #endif
Index: /palm/trunk/SOURCE/check_namelist_files.f90
===================================================================
--- /palm/trunk/SOURCE/check_namelist_files.f90	(revision 1319)
+++ /palm/trunk/SOURCE/check_namelist_files.f90	(revision 1320)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements
 !
 ! Former revisions:
@@ -51,6 +51,9 @@
 
 
+    USE control_parameters,                                                    &
+        ONLY:  check_restart, max_pr_user
+
     USE pegrid
-    USE control_parameters
+
 
     IMPLICIT NONE
